package com.rf.psychological.module.index.service;

import com.rf.psychological.module.index.dao.dto.IndexNumDayDTO;
import com.rf.psychological.module.index.dao.dto.IndexNumMonthDTO;
import com.rf.psychological.module.index.dao.dto.IndexRecordsNumSortDTO;
import com.rf.psychological.module.index.dao.dto.IndexSortNumDTO;

import java.util.List;

/**
 * @author lpf
 * @description: 管理端主页数据展示
 * @date 2022/3/14 17:52
 */
public interface IndexService {

    int findGroupCount(String institutionNo);

    int findInstitutionAdminCount(String institutionNo);

    int findUserCount(String institutionNo);

    List<IndexSortNumDTO> findIndexCgSort(String institutionNo);

    List<IndexSortNumDTO> findIndexSjSort(String institutionNo);

    List<IndexNumMonthDTO> finIndexNumMonth(String type, String institutionNo);

    List<IndexNumDayDTO> findIndexNumberByDays(String type, String institutionNo);

    List<IndexRecordsNumSortDTO> findIndexLeaderboard(String institutionNo, int limit, String type);

}
